<?php

class AdminOrdersController extends AdminOrdersControllerCore
{
    public function __construct()
    {
        parent::__construct();
        $this->bulk_actions['GenerateAllparcelsXML'] = array('text' => $this->l('Export as XML'));
        $this->bulk_actions['GetAllparcelsTrackCodes'] = array('text' => $this->l('Update tracking number'));
    }

    public function processBulkGenerateAllparcelsXML()
    {
        $order_ids = Tools::getValue('orderBox');
        $allparcels = Module::getInstanceByName('allparcels');
        $allparcels->createXML($order_ids);
    }

    public function processBulkGetAllparcelsTrackCodes()
    {
        $order_ids = Tools::getValue('orderBox');
        $allparcels = Module::getInstanceByName('allparcels');
        $allparcels->updateTrackingNumbers($order_ids);
    }
}

?>